# withdraw\_dev\_fee

An entrypoint that allows the administrator of the contract to withdraw dev fee that was accrued during the input of tokens to the this contract from [DexCore](https://docs.quipuswap.com/smart-contracts/dex-2.0/dexcore-contract) contract (see [***withdraw\_auction\_fee***](https://docs.quipuswap.com/smart-contracts/dex-2.0/dexcore-contract/entrypoints-overview/dex-entrypoints/withdraw_auction_fee) entrypoint).

### Call parameters

```pascaligo
type tez_t              is unit

type fa12_token_t       is address

type fa2_token_t        is [@layout:comb] record [
  token                   : address;
  id                      : nat;
]

type token_t            is
| Tez                     of tez_t
| Fa12                    of fa12_token_t
| Fa2                     of fa2_token_t

type withdraw_fee_t     is [@layout:comb] record [
  token                   : token_t;
  receiver                : address;
]
```

<table><thead><tr><th width="150">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>token</td><td>token_t</td><td>FA1.2/FA2/TEZ token</td></tr><tr><td>receiver</td><td>address</td><td>Receiver of withdrawn tokens</td></tr></tbody></table>

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const auctionAddress = "KT1...";
const params = {
    token: {
        token: "KT1...",
        id: 0,
    },
    receiver: "KT1.../tz1...",
};
const auction = await tezos.contract.at(auctionAddress);
const operation = await auction.methodsObject.withdraw_dev_fee(params).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `400` - `sender` of the transaction is not current administrator.
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/auction-contract/entrypoints-overview/admin-entrypoints/withdraw_dev_fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
